//////////////////////////////////////////////////////////////////////////////////////////////////
//												//
// Turret Kill Hud	 									//	
// Created By: eM.Oxygen									//
//												//
// Copy this file to your tribes/config/							//
// Add this line to your autoexec.cs								//	
// Include("oxyturrets.cs");									//
//////////////////////////////////////////////////////////////////////////////////////////////////

$OXY::TurretKills = 0;
$OXY::TurretKillsEnemy = 0;

function OXY::UpdatehudOXYTurretKillHud ()
{	
	HUD::AddTextLine(hudOXYTurretKillHud, "RT: " @ $OXY::TurretKills @ " / " @ $OXY::TurretKillsEnemy);	
}


function OXY::OXYTurretKillHud (%killer, %victim, %weapon)
{
	%me = getManagerId();	
	%killername = Client::getName(%killer);
	%victimname = Client::getName(%victim);
	%victimteam = Client::getTeam(%victim);
	%myteam = Client::getTeam(%me);

	if ((%victimteam != %myteam) && (%weapon == "Turret"))
		$OXY::TurretKills = $OXY::TurretKills + 1;

	if ((%victimteam == %myteam) && (%weapon == "Turret"))
		$OXY::TurretKillsEnemy = $OXY::TurretKillsEnemy + 1;
	HUD::Update(hudOXYTurretKillHud);
}

function OXY::OXYTurretKillHudReset ()
{
	$OXY::TurretKills = 0;	
	$OXY::TurretKillsEnemy = 0;
	HUD::Update(hudOXYTurretKillHud);
}

HUD::New(hudOXYTurretKillHud, OXY::UpdatehudOXYTurretKillHud, 6, 200, 120, 15);
HUD::Display(hudOXYTurretKillHud);

// Turret Kill Hud
Event::Attach(eventKillTrak, OXY::OXYTurretKillHud); 
Event::Attach(eventChangeMission, OXY::OXYTurretKillHudReset);
Event::Attach(eventConnected, OXY::OXYTurretKillHudReset);